at.chipkarte.client.bkf.soap

## Class BKFLeistungsanspruchInfo

- Object
- - at.chipkarte.client.bkf.soap.BKFLeistungsanspruchInfo

-     public class BKFLeistungsanspruchInfo
      extends Object

  Liefert Informationen zu den BKF-Leistungsansprüchen der Patientin.
  Rückgabewert der Funktion `checkBkfLeistungsanspruch`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKFLeistungsanspruchInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnspruch()` Enthält die Information, ob zum Abfragezeitpunkt zumindest ein gültiger Anspruch vorhanden ist.
    `BKFAnspruchsinformation[]` | `getAnspruchsinfo()` Informationen zu den BKF-Leistungsansprüchen.
    `BKFPatientInfo` | `getSvPatient()` Daten der Patientin zum Leistungsanspruch.
    `void` | `setAnspruch(String anspruch)`
    `void` | `setAnspruchsinfo(BKFAnspruchsinformation[] anspruchsinfo)`
    `void` | `setSvPatient(BKFPatientInfo svPatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKFLeistungsanspruchInfo

          public BKFLeistungsanspruchInfo()

  - ### Method Detail

    - #### getSvPatient

          public BKFPatientInfo getSvPatient()

      Daten der Patientin zum Leistungsanspruch. Siehe `BKFPatientInfo`.
      Angabe: Muss.
      Returns:
        SvPatient

    - #### setSvPatient

          public void setSvPatient(BKFPatientInfo svPatient)

    - #### getAnspruch

          public String getAnspruch()

      Enthält die Information, ob zum Abfragezeitpunkt zumindest ein gültiger Anspruch vorhanden ist.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      Returns:
        Anspruch

    - #### setAnspruch

          public void setAnspruch(String anspruch)

    - #### getAnspruchsinfo

          public BKFAnspruchsinformation[] getAnspruchsinfo()

      Informationen zu den BKF-Leistungsansprüchen. Siehe `BKFAnspruchsinformation`.
      Angabe: Kann.
      Es können eine, zwei oder keine Anspruchinformation retourniert werden (0..2).
      Returns:
        Liste an BKF Anspruchsinformation

    - #### setAnspruchsinfo

          public void setAnspruchsinfo(BKFAnspruchsinformation[] anspruchsinfo)